#!/bin/bash

./testing_mublas_sgemv --mode=p --range=1:max:1 --points=100 > testing_mublas_sgemv_n_gtx980.dat
./testing_mublas_dgemv --mode=p --range=1:max:1 --points=100 > testing_mublas_dgemv_n_gtx980.dat
./testing_mublas_cgemv --mode=p --range=1:max:1 --points=100 > testing_mublas_cgemv_n_gtx980.dat
./testing_mublas_zgemv --mode=p --range=1:max:1 --points=100 > testing_mublas_zgemv_n_gtx980.dat
./testing_mublas_sgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_mublas_sgemv_t_gtx980.dat
./testing_mublas_dgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_mublas_dgemv_t_gtx980.dat
./testing_mublas_cgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_mublas_cgemv_t_gtx980.dat
./testing_mublas_zgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_mublas_zgemv_t_gtx980.dat

./testing_cublas_sgemv --mode=p --range=1:max:1 --points=100 > testing_cublas_sgemv_n_gtx980.dat
./testing_cublas_dgemv --mode=p --range=1:max:1 --points=100 > testing_cublas_dgemv_n_gtx980.dat
./testing_cublas_cgemv --mode=p --range=1:max:1 --points=100 > testing_cublas_cgemv_n_gtx980.dat
./testing_cublas_zgemv --mode=p --range=1:max:1 --points=100 > testing_cublas_zgemv_n_gtx980.dat
./testing_cublas_sgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_cublas_sgemv_t_gtx980.dat
./testing_cublas_dgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_cublas_dgemv_t_gtx980.dat
./testing_cublas_cgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_cublas_cgemv_t_gtx980.dat
./testing_cublas_zgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_cublas_zgemv_t_gtx980.dat

./testing_kblas_sgemv --mode=p --range=1:max:1 --points=100 > testing_kblas_sgemv_n_gtx980.dat
./testing_kblas_dgemv --mode=p --range=1:max:1 --points=100 > testing_kblas_dgemv_n_gtx980.dat
./testing_kblas_cgemv --mode=p --range=1:max:1 --points=100 > testing_kblas_cgemv_n_gtx980.dat
./testing_kblas_zgemv --mode=p --range=1:max:1 --points=100 > testing_kblas_zgemv_n_gtx980.dat
./testing_kblas_sgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_kblas_sgemv_t_gtx980.dat
./testing_kblas_dgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_kblas_dgemv_t_gtx980.dat
./testing_kblas_cgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_kblas_cgemv_t_gtx980.dat
./testing_kblas_zgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_kblas_zgemv_t_gtx980.dat

./testing_magma_sgemv --mode=p --range=1:max:1 --points=100 > testing_magma_sgemv_n_gtx980.dat
./testing_magma_dgemv --mode=p --range=1:max:1 --points=100 > testing_magma_dgemv_n_gtx980.dat
./testing_magma_cgemv --mode=p --range=1:max:1 --points=100 > testing_magma_cgemv_n_gtx980.dat
./testing_magma_zgemv --mode=p --range=1:max:1 --points=100 > testing_magma_zgemv_n_gtx980.dat
./testing_magma_sgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_magma_sgemv_t_gtx980.dat
./testing_magma_dgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_magma_dgemv_t_gtx980.dat
./testing_magma_cgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_magma_cgemv_t_gtx980.dat
./testing_magma_zgemv --trans=T --mode=p --range=1:max:1 --points=100 > testing_magma_zgemv_t_gtx980.dat



./testing_mublas_sgemv --mode=c --range=1:max:1 --points=100 > testing_mublas_sgemv_n_gtx980_check.dat
./testing_mublas_dgemv --mode=c --range=1:max:1 --points=100 > testing_mublas_dgemv_n_gtx980_check.dat
./testing_mublas_cgemv --mode=c --range=1:max:1 --points=100 > testing_mublas_cgemv_n_gtx980_check.dat
./testing_mublas_zgemv --mode=c --range=1:max:1 --points=100 > testing_mublas_zgemv_n_gtx980_check.dat
./testing_mublas_sgemv --trans=T --mode=c --range=1:max:1 --points=100 > testing_mublas_sgemv_t_gtx980_check.dat
./testing_mublas_dgemv --trans=T --mode=c --range=1:max:1 --points=100 > testing_mublas_dgemv_t_gtx980_check.dat
./testing_mublas_cgemv --trans=T --mode=c --range=1:max:1 --points=100 > testing_mublas_cgemv_t_gtx980_check.dat
./testing_mublas_zgemv --trans=T --mode=c --range=1:max:1 --points=100 > testing_mublas_zgemv_t_gtx980_check.dat

