##############################################

#--- PATH ------------------------------------
CUDA_PATH	:=/usr/local/cuda-7.0

HOME = /home/mukunoki
CBLAS_DIR = ${HOME}/etc
CBLAS_LIB = ${CBLAS_DIR}/lib
CBLAS_INC = ${CBLAS_DIR}/include
CBLAS_FLAGS = -lgoto2 -lcblas -lgomp -lpthread

#--- Compute Capability ----------------------
 CC20 = yes
 CC30 = yes
 CC35 = yes
 CC50 = yes
 CC52 = yes

#--- Precision -------------------------------
 PREC_S = yes
 PREC_D = yes
 PREC_C = yes
 PREC_Z = yes
 PREC_W = no
 PREC_U = no
 PREC_B = no
 PREC_V = no

#--- Routine ---------------------------------
# level-1
# level-2
 GEMV = yes
# level-3

##############################################
